Thread
#dagger
    Sangeet

    Sangeet

    3 years ago
    afterEvaluate {
            extensions.findByName('kapt')?.arguments{
                arg("dagger.formatGeneratedSource","disabled")
                arg("dagger.gradle.incremental","enabled")
            }
        }
    gradle is giving warning
    The following options were not recognized by any processor: '[dagger.gradle.incremental, kapt.kotlin.generated, dagger.formatGeneratedSource]'
    gildor

    gildor

    3 years ago
    Maybe you don’t have dagger in one of your modules?
    Sangeet

    Sangeet

    3 years ago
    @gildor only for some task it is showing and that module have dagger compiler.
    gildor

    gildor

    3 years ago
    and uses kapt, not apt?
    and uses new dagger version (2.18 at least)?
    Sangeet

    Sangeet

    3 years ago
    I guess those are modules without dagger